## schleuder 2.2.1

=== debian/changelog ===
schleuder (2.2.1-2+deb7u1) stable; urgency=low

  * Update feature-switch-to-gpgme-2.patch to fix -sendkey. (Closes: #705865)
  * Update patches to fix issues with plugin directories with the
    default configuration. (Closes: #705876)
  * Cherry-pick two upstream patches to fix member listing in 'manage members'
    plugin. (Closes: #705877)

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 14 May 2013 12:15:51 +0200

schleuder (2.2.1-2) unstable; urgency=low

  * Support removed (but not purged) package in weekly cron. (Closes: #678487)
  * Ensure that /etc/schleuder/lists exists before migrating lists from older
    releases format.
  * Fix receiving unencrypted messages: transform one missed call to
    'ruby-filemagic' in the 'magic' equivalent.
  * Warn for expiring keys for two weeks instead of more than three years in
    check-expired-keys.
  * Avoid stty calls in check-expired-keys cron avoid weekly error messages.
  * Restore the lost debian-no-rubygems.patch: the Debian package does not need
    rubygems to work.
  * Fix broken member file created by schleuder-newlist when used in
    interactive mode.
  * Fix spelling mistake in debian/NEWS. Thanks lintian for spotting that one.
  * Drop useless Build-Depends on pandoc. Upstream ships manpages since version
    2.2.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 15 Oct 2012 14:43:23 +0200

schleuder (2.2.1-1) unstable; urgency=low

  * Update README.source.
  * Drop the following patches:
    - 0004-Deactivate-log-file-rotation-by-default.patch:
      Upstream has removed support for log file rotation.
    - 0008-Suggest-to-install-highline-package-in-newlist.patch:
      highline is required by `bin/schleuder-migrate-v2.1-to-v2.2` and
      thus now a hard Depends.
    - 0011-Formal-workaround-for-ruby-gpgme-1.0.8-for-use-with-.patch:
      It was cherry-picked from upstream master branch.
    - 0012-Better-workaround-for-ruby-gpgme-1.0.8-for-use-with-.patch:
      It was cherry-picked from upstream master branch.
    - 0013-newlist-add-the-necessary-workaround-for-ruby-gpgme-.patch:
      It has been integrated upstream.
    - 0014-Don-t-echo-passphrase-to-terminal-when-asking-for-it.patch:
      It was cherry-picked from master.
  * Refresh the following patches:
     - 0001-Enable-logging-through-syslog.patch
       => feature-logging.patch
     - 0002-Allow-list-configuration-files-to-be-in-a-single-dir.patch
       => feature-list-conf-dir.patch
     - 0003-Add-support-for-multiple-plugins-directory.patch
       => feature-multiple-plugins-dir.patch
     - 0005-Adjust-other-default-configuration-settings.patch
       => debian-default-settings.patch
     - 0006-No-need-for-rubygems-we-have-Debian-packages.patch
       => debian-no-rubygems.patch
     - 0007-Explicitely-use-ruby1.8-in-executable-scripts.patch
       => debian-use-ruby1.8.patch
     - 0009-Mention-README.Debian-in-newlist.patch
       => debian-readme-debian-in-newlist.patch
  * New patches:
     - bugs-dead-configuration-in-example.patch:
       Remove removed setting from example configuration.
     - bugs-missing-admin-only-keywords.patch:
       Adjust default settings to example configuration.
     - bugs-fix-manpages-wrt-2.2.1.patch:
       Update manpages with recent changes and improve formatting.
     - debian-use-magic-instead-of-filemagic.patch:
       Use the 'magic' gem instead of 'ruby-filemagic', as the former is
       already in Debian.
  * Refresh Depends in debian/control for 2.2.1.
  * Install library according to the new Debian Ruby policy.
  * Use upstream manpages.
  * Install schleuder-newlist from its new location.
  * Update README.Debian for Schleuder 2.2.
  * Add new default-members.conf to examples.
  * Call migration scripts when upgrading from previous version.
  * Add weekly reminder for expired member keys.
  * Add debian/NEWS to help admins cope with the new version.
  * Ship README.plugins at its intended location
  * Remove schleuder-migrationhelper.pl from examples (removed upstream).
  * Update mutt-schleuder-resend.vim name in examples.
  * Do not ship TODO in docs (removed upstream).

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 19 Jun 2012 17:49:16 +0200

schleuder (2.1.1-3) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
  * Set "su" directive in logrotate configuration file. (Closes: #657924)
  * Prevent schleuder-newlist from echoing passphrase on terminal.
    (Closes: #649403)
  * Update debian/copyright.
  * Update package names to new Ruby packaging practices.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 06 Apr 2012 18:59:45 +0200

schleuder (2.1.1-2) unstable; urgency=medium

  * Fix Schleuder website URL in schleuder(8) manpage. (Closes: #597737)
  * Fix compatibility issue in schleuder-newlist when used with
    recent libgpgme-ruby1.8.
  * Set urgency to medium, as the former bug breaks documented
    procedure on Squeeze.
  * Bump Standards-Version to 3.9.1, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 02 Nov 2010 22:04:52 +0100

schleuder (2.1.1-1) unstable; urgency=low

  * New upstream version.
  * Fix logfile rotation.  (Closes: #559763)
  * Cherry-pick upstream d4480416 and eb50bdbb to fix compatibility with
    libgpgme-ruby (>= 1.0.8).
  * Set /var/lib/schleuder mode bits to 771 instead of mode 770 that prevented
    the sample Exim configuration to work.  (Closes: #559965)
  * Remove UTF-8 characters from manpages as Pandoc is currently broken when
    no locales are configured.
  * Fix a spelling error in README.Debian found by Lintian.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 09 May 2010 21:20:49 +0200

schleuder (2.1.0-1) unstable; urgency=low

  * New upstream version.
  * Ship list configuration example.
  * Ship upstream TODO list.
  * Update watch file.
  * Update URL to documentation in README.Debian.
  * Break long lines in schleuder-newlist(8).


