=== debian/control ===
Source: schleuder
Section: mail
Priority: optional
Maintainer: Jérémy Bobbio <lunar@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.3
Homepage: http://schleuder.nadir.org/
Vcs-Git: git://git.debian.org/git/collab-maint/schleuder.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/schleuder.git

Package: schleuder
Architecture: all
Depends:
 ${misc:Depends},
 adduser,
 exim4 | mail-transport-agent,
 ruby1.8, ruby-tmail, ruby-gpgme, ruby-magic, ruby-log4r, ruby-highline
Description: GnuPG enabled mailing list manager with remailer-capabilities
 Schleuder is designed as a tool for group communication: subscribers
 can communicate encrypted (and pseudonymously) among themselves, receive
 emails from non-subscribers and send emails to non-subscribers via the list.
 .
 Schleuder takes care of all decryption and encryption, stripping of headers,
 formatting conversions, etc. Schleuder can also send out its own public key
 upon request and process administrative commands by email.
