=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	cp contrib/check-expired-keys.rb debian/schleuder/usr/sbin/schleuder-check-expired-keys

override_dh_installdocs:
	dh_installdocs
	cp plugins/README debian/schleuder/usr/share/doc/schleuder/README.plugins
