=== debian/watch ===
version=3
http://schleuder.nadir.org/ download/schleuder-(.+)\.tar\.gz
