=== debian/rules ===
#!/usr/bin/make -f

export DH_RUBY

%:
	dh $@ --buildsystem=ruby --with ruby --with systemd

override_dh_systemd_enable:
	dh_systemd_enable --name=schleuder-api-daemon

# We're using '--no-start' here because we've to first set up the
# database; see 'debian/schleuder.postinst' as well.
override_dh_systemd_start:
	dh_systemd_start --no-start --name=schleuder-api-daemon

override_dh_systemd_stop:
	dh_systemd_stop --name=schleuder-api-daemon
