=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/,uversionmangle=s/.beta/~beta/,dversionmangle=s/.beta/~beta/ \
https://git.codecoop.org/schleuder/schleuder3/blob/master/README.md .+schleuder-(.+).tar.gz
