=== debian/control ===
Source: schleuder
Section: mail
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Georg Faerber <georg@riseup.net>
Build-Depends: debhelper (>= 10~),
               dh-systemd,
	       dirmngr,
               gem2deb,
               rake (>= 10~),
               ruby-activerecord (>= 4.1~),
               ruby-database-cleaner,
               ruby-factory-girl,
               ruby-mail-gpg,
               ruby-rspec (>= 3.5.0~),
               ruby-sinatra,
               ruby-sinatra-contrib,
               ruby-sqlite3,
               ruby-thor,
               thin
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/schleuder.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/schleuder.git
Homepage: https://schleuder.nadir.org/
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: schleuder
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: adduser,
         cron | cron-daemon,
	 dirmngr,
         exim4 | mail-transport-agent,
         init-system-helpers,
         rake (>= 10~),
         ruby | ruby-interpreter,
         ruby-activerecord (>= 4.1~),
         ruby-mail-gpg,
         ruby-sinatra,
         ruby-sinatra-contrib,
         ruby-sqlite3,
         ruby-thor,
         thin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: haveged, schleuder-cli
Description: GPG-enabled mailing list manager with resending-capabilities
 Schleuder is a GPG-enabled mailing list manager with resending-capabilities.
 Subscribers can communicate encrypted (and pseudonymously) among themselves,
 receive emails from non-subscribers and send emails to non-subscribers via the
 list.
 .
 Version 3 of schleuder is a complete rewrite, which aims to be more robust,
 flexible, and internationalized. It also provides an API to be used with
 schleuder-cli and/or schleuder-web.
