=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Georg Faerber <georg@riseup.net>
 Build-Depends: debhelper (>= 10~),
-               dh-systemd,
-	       dirmngr,
+               dirmngr,
                gem2deb,
-               rake (>= 10~),
+               rake,
                ruby-activerecord (>= 4.1~),
                ruby-database-cleaner,
                ruby-factory-girl,
@@ -18,11 +17,10 @@
                ruby-sqlite3,
                ruby-thor,
                thin
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/schleuder.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/schleuder.git
 Homepage: https://schleuder.nadir.org/
-Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all
 
 Package: schleuder
@@ -30,10 +28,11 @@
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: adduser,
          cron | cron-daemon,
-	 dirmngr,
+         dirmngr,
          exim4 | mail-transport-agent,
          init-system-helpers,
-         rake (>= 10~),
+         lsb-base,
+         rake,
          ruby | ruby-interpreter,
          ruby-activerecord (>= 4.1~),
          ruby-mail-gpg,
