=== debian/rules ===
#!/usr/bin/make -f

export DH_RUBY

%:
	dh $@ --buildsystem=ruby --with ruby --with systemd

override_dh_systemd_enable:
	dh_systemd_enable --name=schleuder-api-daemon

override_dh_systemd_start:
	dh_systemd_start --name=schleuder-api-daemon

override_dh_systemd_stop:
	dh_systemd_stop --name=schleuder-api-daemon

override_dh_installinit:
	dh_installinit --name=schleuder-api-daemon
