=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper (>= 10~),
                dirmngr,
                gem2deb,
-               rake,
+               rake (>= 10.5.0~),
                ruby-activerecord (>= 4.1~),
                ruby-database-cleaner,
                ruby-factory-girl,
+               ruby-gpgme (>= 2.0.13~),
                ruby-mail-gpg,
                ruby-rspec (>= 3.5.0~),
                ruby-sinatra,
@@ -30,11 +31,11 @@
          cron | cron-daemon,
          dirmngr,
          exim4 | mail-transport-agent,
-         init-system-helpers,
          lsb-base,
-         rake,
+         rake (>= 10.5.0~),
          ruby | ruby-interpreter,
          ruby-activerecord (>= 4.1~),
+         ruby-gpgme (>= 2.0.13~),
          ruby-mail-gpg,
          ruby-sinatra,
          ruby-sinatra-contrib,
