=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Georg Faerber <georg@riseup.net>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper (>= 11~),
                dirmngr,
                gem2deb,
+               procps,
                rake (>= 10.5.0~),
                ruby-activerecord (>= 4.1~),
                ruby-database-cleaner,
@@ -18,9 +19,9 @@
                ruby-sqlite3,
                ruby-thor,
                thin
-Standards-Version: 4.1.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/schleuder.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/schleuder.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/ruby-team/schleuder.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/schleuder
 Homepage: https://schleuder.nadir.org/
 XS-Ruby-Versions: all
