=== debian/control ===
--- 
+++ 
@@ -10,19 +10,19 @@
                rake (>= 10.5.0~),
                ruby-activerecord (>= 4.1~),
                ruby-database-cleaner,
-               ruby-factory-girl,
+               ruby-factory-bot,
                ruby-gpgme (>= 2.0.13~),
-               ruby-mail-gpg,
+               ruby-mail-gpg (>= 0.3.3~),
                ruby-rspec (>= 3.5.0~),
                ruby-sinatra,
                ruby-sinatra-contrib,
                ruby-sqlite3,
                ruby-thor,
                thin
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/ruby-team/schleuder.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/schleuder
-Homepage: https://schleuder.nadir.org/
+Homepage: https://schleuder.org/
 XS-Ruby-Versions: all
 
 Package: schleuder
@@ -31,13 +31,13 @@
 Depends: adduser,
          cron | cron-daemon,
          dirmngr,
-         exim4 | mail-transport-agent,
+         default-mta | postfix | mail-transport-agent,
          lsb-base,
          rake (>= 10.5.0~),
          ruby | ruby-interpreter,
          ruby-activerecord (>= 4.1~),
          ruby-gpgme (>= 2.0.13~),
-         ruby-mail-gpg,
+         ruby-mail-gpg (>= 0.3.3~),
          ruby-sinatra,
          ruby-sinatra-contrib,
          ruby-sqlite3,
@@ -45,7 +45,8 @@
          thin,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: haveged, schleuder-cli
+Recommends: haveged,
+            schleuder-cli
 Description: GPG-enabled mailing list manager with resending-capabilities
  Schleuder is a GPG-enabled mailing list manager with resending-capabilities.
  Subscribers can communicate encrypted (and pseudonymously) among themselves,
