=== debian/tests/control ===
Tests: check-status upstream-tests
Depends: @, @builddeps@, gem2deb-test-runner, curl
Restrictions: isolation-container, needs-root
