## schleuder 3.4.0

=== debian/changelog ===
schleuder (3.4.0-2+deb10u3) buster; urgency=medium

  * debian/control:
    - (Build)-Depend on ruby-charlock-holmes to aid in encoding detection.
  * debian/patches:
    - Improve patch to handle encoding errors introduced in the previous
      version, 3.4.0-2+deb10u2. The former approach had shortcomings if
      parsing unencrypted, but signed UTF-8 mails or mail parts without a
      charset. The parsing failed and lead to further errors.
      The new approach switches to UTF-8 as the default input, and tries to
      convert non-UTF-8 mails. In case this fails, the invalid characters are
      dropped and a note is added to the mail that this happened.
      To aid in encoding detection, a new dependency is added,
      ruby-charlock-holmes.
      (Closes: #948982)
    - Add patch to let x-add-key handle mails with attached, quoted-printable
      encoded keys. Such mails might be produced by Thunderbird. Before, such
      mails were not recognized.
      (Closes: #956827)
    - Add patch to fix x-attach-listkey with mails created by Thunderbird that
      include protected headers. Before, the output was garbled and unusable.
      (Closes: #956964)

 -- Georg Faerber <georg@debian.org>  Fri, 01 May 2020 20:25:26 +0000

schleuder (3.4.0-2+deb10u2) buster; urgency=medium

  * debian/patches:
    - Pull in upstream patch to add missing List-Id header to notification
      mails sent to admins. (Closes: #948980)
    - Pull in upstream patch to handle decryption problems gracefully: Handle
      incoming mails encrypted to an absent key, using symmetric encryption or
      containing PGP-garbage in a more graceful manner: Don't throw an
      exception, don't notify (and annoy) the admins, instead inform the
      sender of the mail how to do better. (Closes: #948981)
    - Pull in upstream patch to default to ASCII-8BIT encoding. This should
      ensure Schleuder is able to handle mails with different charsets.
      (Closes: #948982)

 -- Georg Faerber <georg@debian.org>  Mon, 27 Jan 2020 10:28:36 +0000

schleuder (3.4.0-2+deb10u1) buster; urgency=medium

  * debian/patches:
    - Extend existing patch which fixes problems related to the use of
      "protected headers": Fix recognizing keywords in mails with "protected
      headers" and empty subject. Previously, if the subject was unset,
      keywords were not recognized and the original "protected headers" could
      leak.
      This approach, extending the existing patch, instead of adding a new
      one, reduces noise and keeps the diff small, as the same part of the
      code is targeted.
      (Closes: #940524)
    - Add patch to strip non-self-signatures when refreshing or fetching keys.
      (Closes: #940526)
    - Add patch to error out if the argument provided to `refresh_keys` is not
      an existing list.
      (Closes: #940527)

 -- Georg Faerber <georg@debian.org>  Fri, 08 Nov 2019 10:45:22 +0000

schleuder (3.4.0-2) unstable; urgency=medium

  * debian/patches:
    - Pull in upstream patch to handle mails with protected headers as
      introduced in Mutt 1.12.0, which was recently released. These headers
      are just contained within the plain body of a mail produced by Mutt,
      they are not further wrapped into a specifically marked MIME-part.
      Schleuder fails to handle such messages, accordingly, this patch fixes
      this behaviour. (Closes: #930870)

 -- Georg Faerber <georg@debian.org>  Fri, 21 Jun 2019 19:05:42 +0000

schleuder (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog:
    - Drop trailing whitespaces.
  * debian/patches:
    - Drop nearly all, now obsolete, patches newly applied in the -7 to -10
      releases. All of them are integrated upstream, except for the patch
      which bumps the dependencies on sinatra and sinatra-contrib to ~> 2, as
      defined in the gemspec, and a patch which adapts some parts of the code
      to ruby-activerecord 5.2 as shipped in unstable and testing.
    - Refresh for new release.
  * debian/tests:
    - Rename test which checks if the API daemon is reachable after
      installation to better reflect reality.
  * debian/upstream/signing-key.asc:
    - Remove unneeded signatures.

 -- Georg Faerber <georg@riseup.net>  Thu, 14 Feb 2019 17:10:34 +0000

schleuder (3.3.0-10) unstable; urgency=medium

  * debian/control:
    - Bump build dependency on ruby-database-cleaner to >= 1.7.0~.
  * debian/patches:
    - Pull in upstream patch to not rely on relative paths in some specs.
      Loading the filters by relative paths doesn't work in the context of
      autopkgtest. In the past, this made the testsuite unreliable, as the
      success depended on the execution order of the specs.
    - Drop patch to disable flaky spec which tests signed-inline messages, to
      re-enable it.
    - Pull in upstream patch which reworks this spec to make it more reliable.
    - Unify two patches to adapt the gemspec and the specs to ruby-mail 2.7.1.
    - Refresh for new release.

 -- Georg Faerber <georg@riseup.net>  Tue, 12 Feb 2019 23:41:27 +0000

schleuder (3.3.0-9) unstable; urgency=medium

  * debian/control:
    - Drop obsolete dependency on debhelper. This is satisfied since a while
      by a build dependency on debhelper-compat.
  * debian/Rakefile:
    - Require active_record first before loading active_record code. This
      change is necessary to adapt to a recent change in rails.

 -- Georg Faerber <georg@riseup.net>  Thu, 07 Feb 2019 20:59:48 +0000

schleuder (3.3.0-8) unstable; urgency=medium

  * debian/control:
    - Bump required versions of ruby-sinatra and ruby-sinatra-contrib to
      >= 2~.
    - Add missing dependencies on ruby-mail >= 2.7.1~.
  * debian/patches:
    - Pull in upstream patch to strip HTML-part of
      multipart/alternative-messages if it contains keywords. The keywords
      aren't parsed, because Schleuder doesn't touch any HTML. In order to

