=== debian/control ===
--- 
+++ 
@@ -3,27 +3,31 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Georg Faerber <georg@riseup.net>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 11),
                dirmngr,
                gem2deb,
                procps,
                rake (>= 10.5.0~),
-               ruby-activerecord (>= 4.1~),
-               ruby-database-cleaner,
+               ruby-activerecord (>= 5.2~),
+               ruby-charlock-holmes,
+               ruby-database-cleaner (>= 1.7.0~),
                ruby-factory-bot,
                ruby-gpgme (>= 2.0.13~),
+               ruby-mail (>= 2.7.1~),
                ruby-mail-gpg (>= 0.3.3~),
+               ruby-rack-test,
                ruby-rspec (>= 3.5.0~),
-               ruby-sinatra,
-               ruby-sinatra-contrib,
+               ruby-sinatra (>= 2~),
+               ruby-sinatra-contrib (>= 2~),
                ruby-sqlite3,
                ruby-thor,
                thin
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/ruby-team/schleuder.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/schleuder
 Homepage: https://schleuder.org/
 XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: schleuder
 Architecture: all
@@ -35,11 +39,13 @@
          lsb-base,
          rake (>= 10.5.0~),
          ruby | ruby-interpreter,
-         ruby-activerecord (>= 4.1~),
+         ruby-activerecord (>= 5.2~),
+         ruby-charlock-holmes,
          ruby-gpgme (>= 2.0.13~),
+         ruby-mail (>= 2.7.1~),
          ruby-mail-gpg (>= 0.3.3~),
-         ruby-sinatra,
-         ruby-sinatra-contrib,
+         ruby-sinatra (>= 2~),
+         ruby-sinatra-contrib (>= 2~),
          ruby-sqlite3,
          ruby-thor,
          thin,
