=== debian/tests/control ===
Tests: schleuder-api-daemon-reachable upstream-tests
Depends: @, @builddeps@, gem2deb-test-runner, curl
Restrictions: isolation-container, needs-root
